Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We鈥檒l occasionally send you account related emails.

Already on GitHub? Sign in to your account

Bugfix - Dropping Pre-Release Version from CFBundleShortVersionString #2808

Merged
merged 1 commit into from Apr 16, 2019

Conversation

Projects
None yet
3 participants
@cnoon
Copy link
Member

commented Apr 15, 2019

This PR drops the pre-release version from the CFBundleShortVersionString in the Info.plist.

Issue Link 馃敆

#2797 and #2799

Goals 鈿斤笍

To allow users to be able to submit Alamofire betas to the AppStore using submodules and Carthage.

Implementation Details 馃毀

N/A

Testing Details 馃攳

N/A

Dropped the pre-release version from bundle short version string
It appears that iTMSTransporter only allows a CFBundleShortVersionString to have at most three non-negative integers. See PR #2799 for more info.

ERROR ITMS-90060: "This bundle is invalid. The value for key CFBundleShortVersionString '5.0.0.beta.5' in the Info.plist file must be a period-separated list of at most three non-negative integers. Please find more information about CFBundleShortVersionString at https://developer.apple.com/documentation/bundleresources/information_property_list/cfbundleshortversionstring"
The call to the iTMSTransporter completed with a non-zero exit status: 1. This indicates a failure.

@cnoon cnoon added the carthage label Apr 15, 2019

@cnoon cnoon added this to the 5.0.0-beta.6 milestone Apr 15, 2019

@cnoon cnoon requested a review from jshier Apr 15, 2019

@cnoon cnoon self-assigned this Apr 15, 2019

@jshier

jshier approved these changes Apr 16, 2019

Copy link
Contributor

left a comment

馃憤

@jshier jshier merged commit 3caff2a into master Apr 16, 2019

1 check failed

continuous-integration/travis-ci/pr The Travis CI build failed
Details

@jshier jshier deleted the bugfix/bundle-short-version branch Apr 16, 2019

@adamszeptycki

This comment has been minimized.

Copy link

commented Apr 18, 2019

It still doesn't work.
This is what I have in Cartfile

github "Alamofire/Alamofire" "5.0.0-beta.5"

and the error:

"This bundle is invalid. The value for key CFBundleShortVersionString '5.0.0.beta.5' in the Info.plist file must be a period-separated list of at most three non-negative integers. Please find more information about CFBundleShortVersionString at https://developer.apple.com/documentation/bundleresources/information_property_list/cfbundleshortversionstring"
Return status of iTunes Transporter was 1: ERROR ITMS-90060: "This bundle is invalid. The value for key CFBundleShortVersionString '5.0.0.beta.5' in the Info.plist file must be a period-separated list of at most three non-negative integers. Please find more information about CFBundleShortVersionString at https://developer.apple.com/documentation/bundleresources/information_property_list/cfbundleshortversionstring"
The call to the iTMSTransporter completed with a non-zero exit status: 1. This indicates a failure.

cc @cnoon

@cnoon

This comment has been minimized.

Copy link
Member Author

commented Apr 18, 2019

We're aware @adamszeptycki. The PR has been merged but we haven't released beta 6 yet. If you point at master, the .beta.5 suffix has been stripped off and should work for submission.

@adamszeptycki

This comment has been minimized.

Copy link

commented Apr 18, 2019

Thanks!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can鈥檛 perform that action at this time.